Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface PropertyAccessInterceptor

Method Summary
`Object` | `beforeGet(Object object, String property)` Intercepts a getXXX call and returns a result.
`void` | `beforeSet(Object object, String property, Object newValue)` Intercepts a getXXX call and returns a result.

Method Detail

### beforeGet

    public Object beforeGet(Object object, String property)

  Intercepts a getXXX call and returns a result. The result is replaced by the real value if doGet() return false
  param:
    object The target object
  param:
    property The property to get
  return:
    A value supplied by the interceptor

### beforeSet

    public void beforeSet(Object object, String property, Object newValue)

  Intercepts a getXXX call and returns a result. The result is replaced by the real value if doGet() return false
  param:
    object The target object
  param:
    property The property to get
  return:
    A value supplied by the interceptor